<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Playlist Search
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-item>
    <ion-label stacked>Channel ID</ion-label>
    <ion-input type="text" [(ngModel)]="channelId"></ion-input>
  </ion-item>
  <ion-button (onClick)="searchPlaylist()" [disabled]= "channelId == ''" color="danger">Search PLaylist</ion-button>
  <ion-list no padding>
    <button ion.item *ngFor="let list of playlist | async" (click)="openPlaylist(list.id)"></button>
    <ion-thumbnail item-start>
      <img [src]="list.snippet.thumbnails.standard.url">
    </ion-thumbnail>
    <h2>{{list.snippet.title}}</h2>
    <p>{{list.snippet.publishedAt | date: 'short'}}</p>
  </ion-list>
</ion-content>
